function [ r ] = cpc_divisao_e_soma( _n, _s )
// Método da divisao e soma
//
// Calling Sequence
// r = cpc_divisao_e_soma( 4, 4 );
//
// Parameters
//  r : resultado
// _n : indice n
// _s : indice s
//
// Description
// Permite obter de forma matricial da ortonormalização de Gram-Schimdt
//
// Examples
// r = cpc_divisao_e_soma( 4, 4 );
//
// Authors
// Copyright (C) 2017 - Jonas Vieira de Souza
//
// See Also
//
// Bibliograph
//
    es = 0.005 * 10^( 2 - _s );
    r = _n/2;
    while 1 do
        n_corrente = ( r + _n / r )/2;
        ea = abs( ( n_corrente - r ) / n_corrente );
        r = n_corrente;
        if ( ea < es ) then
             break;
        end
    end
endfunction
