function x = cpc_inversa( A )
// Inversão
//
// Calling Sequence
// matriz = [ 10 2 -1; -3 -5 2; 1 1 6 ];
// m_inv  = cpc_inversa( matriz );
//
// Parameters
// x    : matriz inversa
// _a   : matriz de coeficientes do sistema
//
// Description
// Inversão
//
// Examples
// m_inv  = cpc_inversa( matriz );
//
// Authors
// Copyright (C) 2017 - Jonas Vieira de Souza
//
// See Also
//
// Bibliograph
//
    [linha,coluna] = size(A);    // se obtem o tamanho da matriz A
    if linha~=coluna then
        error('A Matriz deve ser quadrada');
    end
    x = zeros(linha,coluna);
    d = zeros(linha,coluna);
    id = eye(linha,coluna);
    // Substituição progressiva
    for i=1:linha
        // Cria em A 'U' U 'L'
        for j=1:coluna
            if i>j then
                PIVO = A(i,j)/A(j,j);
                A(i,j:coluna) = A(i,j:coluna)-PIVO*A(j,j:coluna);
                A(i,j) = PIVO;
            end
        end
    end
    //[u]*[d] = [id] Matriz_identidade
    for i=1:linha
        for j=1:coluna
            if i==j then
                d(i,j) = id(i,j);
            elseif i>j then
                for k=1:(i-1)
                    d(i,j) = d(i,j) - d(k,j)*A(i,k);
                end
                d(i,j)=id(i,j) + d(i,j);
            end
        end
    end
    //[L]*[x]=[d]
    // Sustituição regressica
    for i=linha:-1:1
        for j=1:coluna
            for k=linha:-1:(i+1)
                x(i,j) = x(i,j) - x(k,j)*A(i,k);
            end
            x(i,j) = (d(i,j) + x(i,j))/A(i,i);
        end
    end
endfunction