function res = cpc_trapezio( _fx, _li, _ls, _np )
// Regra do trapezio
//
// Calling Sequence
// fx = '0.2+25*x-200*x.^2+675*x.^3-900*x.^4+400*x.^5';
// [ int_trap ] = cpc_trapezio( fx, 0, 0.8, 4 );
//
// Parameters
// res : resultado
// _fx : função a ser integrada
// _li : limite inferior de integração
// _ls : limite superior de integração
// _np : número de pontos [n+1], ou número do intervalos[n]
//
// Description
// Trata-se do caso mais simples de Fórmula de Newton-Cotes fechada
//
// Examples
// res = cpc_trapezio( fx, 0, 0.8, 4 );
//
// Authors
// Copyright (C) 2017 - Jonas Vieira de Souza
//
// See Also
//
// Bibliograph
//
    if modulo( _np, 2 ) ~= 0 then
        error("o numero de intervalos nao pode ser impar");
    end
    x = linspace( _li, _ls, _np+1 );
    f = evstr( _fx );
    disp(f);
    soma = 0 ;
    for i=2:_np
        soma = soma + f(i);
    end
   int_trap  = ( _ls - _li ) * ( f(1) + 2*soma + f(_np+1) ) / ( 2 * _np ) ;
endfunction